ajax調用在jquery-1.4.1.js不能運行,而jquery-1.3.2.min.js則可以


login.js
 <script type="text/javascript" language="javascript">
     var PageIndex=1;
    //頁碼
    getPage(PageIndex);
    function getPage(page)
    {
        $.ajax({
        type:"GET",
        url:"handler2.ashx?page="+page+"&t=2",
        cache:false,
        success:function(msg)
        {
            $("#pageindex").html(page);
            $("#count").html(msg);
        }
        })
    }
    
    Content(PageIndex);//第一次顯示內容
    
    //內容
    function Content(page)
    {
                
        if($("#pageindex").html()==page)
          return;//防止重復點擊同一頁
        
        $("#pageindex").html(page); //頁碼

        $.ajax({
            type: "GET",
            url: "handler2.ashx?Page=" + page + "&t=0",
            cache: false,
            dataType: "json",
            success: function(msg) {
                $("#content").html("");
                $.each(msg, function(i) {
                    $("#content").append("<li class='li'>");
                    $("#content").append(msg[i]._0);
                    $("#content").append("、" + msg[i]._1);
                    $("#content").append("、" + msg[i]._2);
                    $("#content").append("</li>");
                }

            );
                if (page != 1)
                    $("#content").hide();
            },
            error: function(err) {
                alert(err);
            }

        });
        getPage(page);
        $("#content").ajaxStop(function(){$(this).fadeIn(500); }); //結束ajax
     }     
    </script>

login.htm
<script src="jquery-1.4.1.min.js" type="text/javascript"></script>
運行后彈出警告框[object],如果把jquery-1.4.2.min.js換成jquery-1.3.2.min.js則正常,這是為什么?

7 个解决方案

#1


也許有些方法在jquery-1.4.2.min.js庫里沒有。。

#2


jquery-1.4.2.js的確和以前的版本有差別,以前也遇到過,jquery-1.4.2去除了一些不規范的用法。

#3


是jquery-1.4.1.js

#4


引用 3 樓 qwer_asdfasdf 的回復:
是jquery-1.4.1.js

你可以去比較一下2個js 庫。。

#5


引用 4 樓 zsx841021 的回復:
引用 3 樓 qwer_asdfasdf 的回復:

是jquery-1.4.1.js

你可以去比較一下2個js 庫。。

用jquery-1.3.2.min.js跟jquery-1.4.1.min.js比較?

#6


在線求方案

#7


換個能行的js版本就ok了

注意!

本站转载的文章为个人学习借鉴使用,本站对版权不负任何法律责任。如果侵犯了您的隐私权益,请联系我们删除。



 
粤ICP备14056181号  © 2014-2021 ITdaan.com